apt-get build-dep -a uses build arch for [] restrictions, not host arch

Bug #970050 reported by Colin Watson on 2012-03-31
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apt (Debian)
Fix Released
Unknown
apt (Ubuntu)
Undecided
Wookey

Bug Description

zlib Build-Depends: gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc], but as you can see in http://people.linaro.org/~wookey/buildd/precise/sbuild-ma/zlib_1:1.2.3.4.dfsg-3ubuntu4-precise-ma-cross-armel-20120331-024312.35885.log 'apt-get -aarmel build-dep zlib' tries to install gcc-multilib. It shouldn't be doing this: the architecture restrictions within [] should be applied to the host architecture, not to the build architecture.

Colin Watson (cjwatson) on 2012-03-31
tags: added: multiarch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apt (Ubuntu):
status: New → Confirmed
Changed in apt (Debian):
status: Unknown → New
Changed in apt (Debian):
status: New → Fix Released
Steve Langasek (vorlon) on 2012-06-01
Changed in apt (Ubuntu):
assignee: nobody → Wookey (wookey)
Wookey (wookey) on 2012-07-08
Changed in apt (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.